import os
import sys
import shutil
import re
import subprocess
import glob

###############################################################################
# Settings are in file settings.py
###############################################################################
from settings import *

###############################################################################
# Don't edit below
###############################################################################

def main():
	for scale in [1, 2, 3, 4]:
		with open('eval_scale%d.csv' % scale, 'w') as f:
			f.write('Sequence Length\tImgs in set\tMin\tMax\tAvg\tMedian\n')
			for sl in sequence_lengths:
				if scale == 4 and sl > 10:
					continue
				
				f.write('%d\t' % sl)
				times = []
			
				for s in xrange(max_sets):
					path = os.path.join(root_path, 'sequencelength%02d' % sl, 'set%02d' % s, 'avg_time_scale_%02d.txt' % scale)
					if os.path.exists(path):
						with open(path) as at:
							times += [float(at.readlines()[0])]
			
				if len(times) == 0:
					f.write('0\t0\t0\t0\t0\n')
					continue
			
				num    = len(times)
				minval = min(times)
				maxval = max(times)
				avgval = sum(times) / float(num)
				medval = median(times)
			
				f.write('%d\t%f\t%f\t%f\t%f\n' % (num, minval, maxval, avgval, medval))

def median(mylist):
	sorts = sorted(mylist)
	length = len(sorts)
	if not length % 2:
		return (sorts[length/2] + sorts[length/2 - 1]) / 2.0
	return sorts[length/2]

if __name__ == '__main__':
	main()
